PHP, which is a recursive backronym for PHP: Hypertext Preprocessor, is amongst the most widely used open-source scripting languages available out there. Any site or web app built using PHP will run on a given server provided that a PHP module is installed, which makes the language truly universal and it’s not that surprising that there are a few million web servers that support it and 100s of millions of PHP-driven websites running on them. PHP is preferred over HTML due to the fact that it permits you to set up a dynamic website with loads of options. A PHP-based social network, for instance, will show unique web content to each user irrespective of the fact that the URL will be the same. In comparison, HTML websites are static and the content on the pages can be modified only manually. Like any other software, PHP has different versions and the version that was used while creating a particular website must be activated on the web server in order for the site to work faultlessly.

PHP 4 and PHP 5 Support in Cloud Hosting

Our cloud hosting servers support different PHP versions, which implies that your websites will run without any problems no matter if your PHP scripts are out of date. We realize that an old website doesn’t invariably mean an insecure one as you may have performed a lot of modifications to its source code. That is the reason why we support PHP 4, 5.2, 5.3, 5.4 and 5.5 and you can decide which version will be active for your web hosting account. You can change the version with only one click in your Hepsia Control Panel and the new settings will be applied momentarily. In case you want to run both older and newer scripts, there’s even an option to use a different PHP version for each domain name of yours simultaneously.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

Our semi-dedicated hosting support multiple versions of PHP, so you will be able to run all the web applications that you’ve set up through the years. The Hepsia Control Panel, which comes with each single semi-dedicated account, will permit you to activate the required version with only one click of the mouse. You can choose between PHP 4, 5.2, 5.3, 5.4 and 5.5. If you want to host multiple sites in one single account and they have diverse requirements related to the hosting platform, you’ll be able to set a different version for each one of them irrespective of which version is enabled for the account as a whole. That’s achievable owing to our custom cloud web hosting platform, which allows us to run different PHP versions simultaneously. By comparison, the great majority of hosting providers typically support one, occasionally two versions.